#include <bits/stdc++.h> 
using namespace std;
void zamena(int *xp, int *yp);
int main(){
	int N;
	cin >> N;
	int brojKnjiga[N];
	for (int i=0; i<N; i++){
		cin >> brojKnjiga[i];
		}
	if (N==2){
		if (brojKnjiga[0]>brojKnjiga[1])
			cout << brojKnjiga[1] << " " << brojKnjiga[0];
	}
	else {
		bool menjano = false;
		if (brojKnjiga[0]>brojKnjiga[1]){
			for (int i=1; i<N-1;i++){
				if (menjano==true)
				break;
				else{
					for(int k=1; k<N-1;k++){
						if (brojKnjiga[k]<brojKnjiga[k+1]){
							zamena(&brojKnjiga[k], &brojKnjiga[k+1]);
							menjano=true;
							break;
						}
					}
				}
			}
		}
		else {
			for (int i=1; i<N-1;i++){
				if (menjano==true)
				break;
				else{
					for(int k=1; k<N-1;k++){
						if (brojKnjiga[k]>brojKnjiga[k+1]){
							zamena(&brojKnjiga[k], &brojKnjiga[k+1]);
							menjano=true;
							break;
						}
					}
				}
			}
		}
	}
	for(int i=0; i<N; i++){
		cout << brojKnjiga[i] << " ";
		}
	return 0;
}
void zamena(int *xp, int *yp) {
int temp=*xp; *xp=*yp; *yp=temp;
}